Skip to main content
GET
/
api
/
payments
/
payment-history
List Payment History
curl --request GET \
  --url https://api.example.com/api/payments/payment-history \
  --header 'Authorization: Bearer <token>'
{
  "paymentHistory": [
    {
      "environment": "test",
      "type": "one_time_payment",
      "status": "succeeded",
      "subjectType": "<string>",
      "subjectId": "<string>",
      "stripeCustomerId": "cus_123",
      "customerEmailSnapshot": "jsmith@example.com",
      "stripeCheckoutSessionId": "cs_test_123",
      "stripePaymentIntentId": "pi_123",
      "stripeInvoiceId": "in_123",
      "stripeChargeId": "ch_123",
      "stripeRefundId": "re_123",
      "stripeSubscriptionId": "sub_123",
      "stripeProductId": "prod_123",
      "stripePriceId": "price_123",
      "amount": 2900,
      "amountRefunded": 0,
      "currency": "usd",
      "description": "<string>",
      "paidAt": "2023-11-07T05:31:56Z",
      "failedAt": "2023-11-07T05:31:56Z",
      "refundedAt": "2023-11-07T05:31:56Z",
      "stripeCreatedAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.insforge.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

environment
enum<string>
required

Stripe environment.

Available options:
test,
live
subjectType
string

Billing subject type. Must be provided together with subjectId.

Required string length: 1 - 100
subjectId
string

Billing subject ID. Must be provided together with subjectType.

Required string length: 1 - 255
limit
integer
default:50

Maximum rows to return.

Required range: 1 <= x <= 100

Response

Payment history

paymentHistory
object[]
required